Bug 465408 - ui issues in the screen resolution capplet
ui issues in the screen resolution capplet
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-03 02:36 EDT by Matthias Clasen
Modified: 2014-06-18 05:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:29:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-10-03 02:36:35 EDT
- The menuitem is called "Screen Resolution", but the capplet window has the title "Monitor Resolution Settings". 

The monitor label popup covers the panel. It would be nicer if it respected the workarea. 

The font color in the popup doesn't match the font color used in the graphical representation in the capplet.

The stretched out Detect button looks a bit odd.

The Help button does nothing.
Comment 1 Dan Winship 2008-10-23 16:02:03 EDT
(In reply to comment #0)
> The monitor label popup covers the panel. It would be nicer if it respected the
> workarea. 

You think? That seems like it would just be weird to me...

The relevant bit of code has a comment:

	/* Should we center this at the top edge of the monitor, instead of using the upper-left corner? */

which seems maybe nicer-looking without weirdness.

Try installing http://koji.fedoraproject.org/koji/taskinfo?taskID=899000

and then compare

  > gnome-display-properties
  > LABEL_POSITION=workspace gnome-display-properties
  > LABEL_POSITION=centered gnome-display-properties

what do you think?
Comment 2 Matthias Clasen 2008-10-23 16:32:51 EDT
Not a big deal

What would probably even nicer would be some compositor niceness to make it apopear less like a window thats tacked on top of everything, and more like a watermark or something like that.

How about simply not showing that thing at all if there is only one monitor, btw.
Comment 3 Matthias Clasen 2008-10-23 16:43:49 EDT
Hmm, I've tried that build, and restarted gsd, but I still get the popup in the upper left...

More details:

- Borders seem excessive when compared with e.g. the appearance capplet

- Positioning of the combo boxes changes slightly the first time I click on the (single monitor representation in the blue 'play area'.

- It looks slightly odd to me to have the "Mirror Screens" checkbox above and all the other controls below. Should they all be below ?
Comment 4 Dan Winship 2008-10-23 17:15:13 EDT
you don't have to restart gsd, the window is created by gnome-display-properties directly, so you just need to launch it with the env var set to the right thing
Comment 5 Matthias Clasen 2008-10-23 17:31:56 EDT
Oh, I hadn't picked up that there was an env var.
Comment 6 Bug Zapper 2008-11-25 22:29:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-18 03:30:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:29:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.